/* Plugin: MedArmory-PRO
 * File: utilfunctions.h
 * Author: Prodigy (jcouzen@uhfco.net)
 * Date: March 30, 2003
 * Info: Header file for utilcommands.cpp
*/
//======================================================================
// Forward declarations for functions that deal directly with the engine
//======================================================================
struct hudtextparms_s;
typedef hudtextparms_s hudtextparms_t;
void UTIL_HudMessageAll_New(const hudtextparms_t &textparms, const char *pMessage);

class CBasePlayer;
int UTIL_GetPlayerIndex(CBasePlayer *pPlayer);
void UTIL_ClientPrint(entvars_t *client, int msg_dest, const char *msg_name, const char *param1 = 0, const char *param2 = 0, const char *param3 = 0, const char *param4 = 0);

int GetPlayerResources(CBasePlayer *pPlayer);
int GetPlayerClass(edict_t *pEntity);
void ChangePlayerResources(CBasePlayer *pPlayer, float iAmount);
void SetResourceOffset(CBasePlayer *pPlayer);

void UTIL_ParticleImplosion_All( Vector origin, unsigned char radius, unsigned char count, unsigned char lifespan );
void UTIL_ParticleLight_All(Vector origin, unsigned char radius, unsigned int color, unsigned int lifespan);
void UTIL_DynamicLight_All(Vector origin, unsigned char colorRed, unsigned char colorGreen, unsigned char colorBlue);
void UTIL_ParticleBeam_All(CBaseEntity *client, Vector origin, unsigned char colorRed, unsigned char colorGreen, unsigned char colorBlue, unsigned char colorBright, unsigned char displaySpeed);
int UTIL_EntityIsBuilt(CBaseEntity *pentEntity);
